"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Cluster = exports.OptionalCommand = exports.Command = exports.NoResponseT = exports.NoArgumentsT = exports.OptionalWritableAttribute = exports.WritableAttribute = exports.OptionalAttribute = exports.Attribute = void 0;
const TlvObjectCodec_1 = require("../../codec/TlvObjectCodec");
const Attribute = (id, template, conformanceValue) => ({ id, template, optional: false, writable: false, conformanceValue });
exports.Attribute = Attribute;
const OptionalAttribute = (id, template, conformanceValue) => ({ id, template, optional: true, writable: false, conformanceValue });
exports.OptionalAttribute = OptionalAttribute;
const WritableAttribute = (id, template, conformanceValue) => ({ id, template, optional: false, writable: true, conformanceValue });
exports.WritableAttribute = WritableAttribute;
const OptionalWritableAttribute = (id, template, conformanceValue) => ({ id, template, optional: true, writable: true, conformanceValue });
exports.OptionalWritableAttribute = OptionalWritableAttribute;
exports.NoArgumentsT = (0, TlvObjectCodec_1.ObjectT)({});
exports.NoResponseT = {};
;
;
const Command = (requestId, requestTemplate, responseId, responseTemplate) => ({ optional: false, requestId, requestTemplate, responseId, responseTemplate });
exports.Command = Command;
const OptionalCommand = (requestId, requestTemplate, responseId, responseTemplate) => ({ optional: true, requestId, requestTemplate, responseId, responseTemplate });
exports.OptionalCommand = OptionalCommand;
const Cluster = (id, name, attributes, commands) => ({ id, name, commands, attributes });
exports.Cluster = Cluster;
