/// <reference types="node" />
import { Fabric, FabricBuilder } from "./Fabric";
export declare class FabricManager {
    private readonly fabrics;
    private fabricBuilder?;
    addFabric(fabric: Fabric): void;
    getFabrics(): Fabric[];
    findFabricFromDestinationId(destinationId: Buffer, initiatorRandom: Buffer): Fabric;
    armFailSafe(): void;
    getFabricBuilder(): FabricBuilder;
    tentativelyAddFabric(): Promise<void>;
    completeCommission(): void;
}
