import { UdpMulticastServer } from "../../net/UdpMulticastServer";
import { MatterServer, Scanner } from "../common/Scanner";
import { Fabric } from "../fabric/Fabric";
export declare class MdnsScanner implements Scanner {
    private readonly multicastServer;
    static create(address?: string): Promise<MdnsScanner>;
    private readonly network;
    private readonly matterDeviceRecords;
    private readonly recordWaiters;
    private readonly periodicTimer;
    constructor(multicastServer: UdpMulticastServer);
    findDevice({ operationalId }: Fabric, nodeId: bigint): Promise<MatterServer | undefined>;
    close(): void;
    private handleDnsMessage;
    private expire;
}
