import { ProtocolHandler } from "../../common/ProtocolHandler";
import { MessageExchange } from "../../common/MessageExchange";
import { PbkdfParameters } from "../../../crypto/Spake2p";
import { MatterDevice } from "../../MatterDevice";
export declare class PaseServer implements ProtocolHandler<MatterDevice> {
    private readonly setupPinCode;
    private readonly pbkdfParameters;
    constructor(setupPinCode: number, pbkdfParameters: PbkdfParameters);
    getId(): number;
    onNewExchange(exchange: MessageExchange<MatterDevice>): Promise<void>;
    private handlePairingRequest;
}
