import { Message } from "../../../codec/MessageCodec";
import { ProtocolHandler } from "../../common/ProtocolHandler";
import { MessageExchange } from "../../common/MessageExchange";
import { CaseServer } from "./CaseServer";
import { PaseServer } from "./PaseServer";
import { MatterDevice } from "../../MatterDevice";
export declare class SecureChannelProtocol implements ProtocolHandler<MatterDevice> {
    private readonly paseCommissioner;
    private readonly caseCommissioner;
    constructor(paseCommissioner: PaseServer, caseCommissioner: CaseServer);
    getId(): number;
    onNewExchange(exchange: MessageExchange<MatterDevice>, message: Message): void;
}
