/// <reference types="node" />
import { NetListener } from "../NetInterface";
export declare type Listener = (peerAddress: string, peerPort: number, data: Buffer) => void;
export declare class SimulatedNetwork {
    static get: () => SimulatedNetwork;
    private readonly listenersMap;
    onUdpData(address: string, port: number, listener: Listener): NetListener;
    private offUdpData;
    sendUdp(localAddress: string, localPort: number, remoteAddress: string, remotePort: number, data: Buffer): Promise<void>;
}
