/// <reference types="node" />
import dgram from "dgram";
import { UdpChannel, UdpChannelOptions } from "../UdpChannel";
export declare class UdpChannelNode implements UdpChannel {
    private readonly socket;
    static create({ listeningPort, listeningAddress, multicastInterface }: UdpChannelOptions): Promise<UdpChannelNode>;
    constructor(socket: dgram.Socket);
    onData(listener: (peerAddress: string, peerPort: number, data: Buffer) => void): {
        close: () => void;
    };
    send(address: string, port: number, data: Buffer): Promise<void>;
    close(): void;
}
