/// <reference types="node" />
export declare class BEBufferWriter {
    private readonly chunks;
    writeInt8(value: number): void;
    writeInt16(value: number): void;
    writeInt32(value: number): void;
    writeInt64(value: bigint): void;
    writeUInt8(value: number): void;
    writeUInt16(value: number): void;
    writeUInt32(value: number): void;
    writeUInt64(value: bigint): void;
    writeFloat(value: number): void;
    writeDouble(value: number): void;
    writeString(value: string): void;
    writeBytes(value: Buffer): void;
    toBuffer(): Buffer;
}
