export declare class Cache<T> {
    private readonly generator;
    private readonly expirationMs;
    private readonly values;
    private readonly timestamps;
    private readonly periodicTimer;
    constructor(generator: (...params: string[]) => T, expirationMs: number);
    get(...params: string[]): T;
    clear(): void;
    close(): void;
    private expire;
}
