/// <reference types="node" />
export declare class LEBufferReader {
    private readonly buffer;
    private offset;
    constructor(buffer: Buffer);
    readInt8(): number;
    readInt16(): number;
    readInt32(): number;
    readInt64(): bigint;
    readUInt8(): number;
    readUInt16(): number;
    readUInt32(): number;
    readUInt64(): bigint;
    readFloat(): number;
    readDouble(): number;
    readString(size: number): string;
    readBytes(size: number): Buffer;
    getRemainingBytes(): Buffer;
    getReadBytes(): Buffer;
    private getOffsetAndAdvance;
}
