import { Attribute, Cluster, OptionalAttribute, WritableAttribute } from "./Cluster";
export declare const BasicInformationCluster: Cluster<{}, {
    dataModelRevision: Attribute<number>;
    vendorName: Attribute<string>;
    vendorId: Attribute<number>;
    productName: Attribute<string>;
    productId: Attribute<number>;
    nodeLabel: WritableAttribute<string>;
    location: WritableAttribute<string>;
    hardwareVersion: Attribute<number>;
    hardwareVersionString: Attribute<string>;
    softwareVersion: Attribute<number>;
    softwareVersionString: Attribute<string>;
    manufacturingDate: OptionalAttribute<string>;
    partNumber: OptionalAttribute<string>;
    productURL: OptionalAttribute<string>;
    productLabel: OptionalAttribute<string>;
    serialNumber: OptionalAttribute<string>;
    localConfigDisabled: WritableAttribute<boolean>;
    reachable: OptionalAttribute<boolean>;
    uniqueId: OptionalAttribute<string>;
    capabilityMinima: Attribute<{
        caseSessionsPerFabric: number;
        subscriptionsPerFabric: number;
    }>;
}>;
