"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DescriptorCluster = void 0;
const TlvObjectCodec_1 = require("../../codec/TlvObjectCodec");
const Cluster_1 = require("./Cluster");
const DeviceTypeT = (0, TlvObjectCodec_1.ObjectT)({
    type: (0, TlvObjectCodec_1.Field)(0, TlvObjectCodec_1.UnsignedIntT),
    revision: (0, TlvObjectCodec_1.Field)(1, TlvObjectCodec_1.UnsignedIntT),
});
exports.DescriptorCluster = (0, Cluster_1.Cluster)(0x1d, "Descriptor", {
    deviceTypeList: (0, Cluster_1.Attribute)(0, (0, TlvObjectCodec_1.ArrayT)(DeviceTypeT)),
    serverList: (0, Cluster_1.Attribute)(1, (0, TlvObjectCodec_1.ArrayT)(TlvObjectCodec_1.UnsignedIntT), []),
    clientList: (0, Cluster_1.Attribute)(3, (0, TlvObjectCodec_1.ArrayT)(TlvObjectCodec_1.UnsignedIntT), []),
    partsList: (0, Cluster_1.Attribute)(4, (0, TlvObjectCodec_1.ArrayT)(TlvObjectCodec_1.UnsignedIntT), []),
}, {});
