/// <reference types="node" />
import { Channel } from "../../net/Channel";
import { Fabric } from "../fabric/Fabric";
import { Session } from "../session/Session";
import { MessageChannel } from "./ExchangeManager";
export declare class ChannelManager {
    private readonly channels;
    setChannel(fabric: Fabric, nodeId: bigint, channel: MessageChannel<any>): void;
    getChannel(fabric: Fabric, nodeId: bigint): MessageChannel<any>;
    getOrCreateChannel(bufferChannel: Channel<Buffer>, session: Session<any>): MessageChannel<any>;
}
