/// <reference types="node" />
export declare const PbkdfParamRequestT: import("../../../codec/TlvObjectCodec").Template<import("../../../util/Type").Merge<{
    sessionId: number;
    random: Buffer;
    passcodeId: number;
    hasPbkdfParameters: boolean;
}, {
    mrpParameters?: import("../../../util/Type").Merge<{}, {
        idleRetransTimeoutMs?: number | undefined;
        activeRetransTimeoutMs?: number | undefined;
    }, {} & {
        idleRetransTimeoutMs?: number | undefined;
        activeRetransTimeoutMs?: number | undefined;
    }> | undefined;
}, {
    sessionId: number;
    random: Buffer;
    passcodeId: number;
    hasPbkdfParameters: boolean;
} & {
    mrpParameters?: import("../../../util/Type").Merge<{}, {
        idleRetransTimeoutMs?: number | undefined;
        activeRetransTimeoutMs?: number | undefined;
    }, {} & {
        idleRetransTimeoutMs?: number | undefined;
        activeRetransTimeoutMs?: number | undefined;
    }> | undefined;
}>>;
export declare const PbkdfParamResponseT: import("../../../codec/TlvObjectCodec").Template<import("../../../util/Type").Merge<{
    sessionId: number;
    random: Buffer;
    peerRandom: Buffer;
}, {
    mrpParameters?: import("../../../util/Type").Merge<{}, {
        idleRetransTimeoutMs?: number | undefined;
        activeRetransTimeoutMs?: number | undefined;
    }, {} & {
        idleRetransTimeoutMs?: number | undefined;
        activeRetransTimeoutMs?: number | undefined;
    }> | undefined;
    pbkdfParameters?: import("../../../util/Type").Merge<{
        iteration: number;
        salt: Buffer;
    }, {}, {
        iteration: number;
        salt: Buffer;
    } & {}> | undefined;
}, {
    sessionId: number;
    random: Buffer;
    peerRandom: Buffer;
} & {
    mrpParameters?: import("../../../util/Type").Merge<{}, {
        idleRetransTimeoutMs?: number | undefined;
        activeRetransTimeoutMs?: number | undefined;
    }, {} & {
        idleRetransTimeoutMs?: number | undefined;
        activeRetransTimeoutMs?: number | undefined;
    }> | undefined;
    pbkdfParameters?: import("../../../util/Type").Merge<{
        iteration: number;
        salt: Buffer;
    }, {}, {
        iteration: number;
        salt: Buffer;
    } & {}> | undefined;
}>>;
export declare const PasePake1T: import("../../../codec/TlvObjectCodec").Template<import("../../../util/Type").Merge<{
    x: Buffer;
}, {}, {
    x: Buffer;
} & {}>>;
export declare const PasePake2T: import("../../../codec/TlvObjectCodec").Template<import("../../../util/Type").Merge<{
    y: Buffer;
    verifier: Buffer;
}, {}, {
    y: Buffer;
    verifier: Buffer;
} & {}>>;
export declare const PasePake3T: import("../../../codec/TlvObjectCodec").Template<import("../../../util/Type").Merge<{
    verifier: Buffer;
}, {}, {
    verifier: Buffer;
} & {}>>;
