"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PasePake3T = exports.PasePake2T = exports.PasePake1T = exports.PbkdfParamResponseT = exports.PbkdfParamRequestT = void 0;
const TlvObjectCodec_1 = require("../../../codec/TlvObjectCodec");
exports.PbkdfParamRequestT = (0, TlvObjectCodec_1.ObjectT)({
    random: (0, TlvObjectCodec_1.Field)(1, TlvObjectCodec_1.ByteStringT),
    sessionId: (0, TlvObjectCodec_1.Field)(2, TlvObjectCodec_1.UnsignedIntT),
    passcodeId: (0, TlvObjectCodec_1.Field)(3, TlvObjectCodec_1.UnsignedIntT),
    hasPbkdfParameters: (0, TlvObjectCodec_1.Field)(4, TlvObjectCodec_1.BooleanT),
    mrpParameters: (0, TlvObjectCodec_1.OptionalField)(5, (0, TlvObjectCodec_1.ObjectT)({
        idleRetransTimeoutMs: (0, TlvObjectCodec_1.OptionalField)(1, TlvObjectCodec_1.UnsignedIntT),
        activeRetransTimeoutMs: (0, TlvObjectCodec_1.OptionalField)(2, TlvObjectCodec_1.UnsignedIntT),
    })),
});
exports.PbkdfParamResponseT = (0, TlvObjectCodec_1.ObjectT)({
    peerRandom: (0, TlvObjectCodec_1.Field)(1, TlvObjectCodec_1.ByteStringT),
    random: (0, TlvObjectCodec_1.Field)(2, TlvObjectCodec_1.ByteStringT),
    sessionId: (0, TlvObjectCodec_1.Field)(3, TlvObjectCodec_1.UnsignedIntT),
    pbkdfParameters: (0, TlvObjectCodec_1.OptionalField)(4, (0, TlvObjectCodec_1.ObjectT)({
        iteration: (0, TlvObjectCodec_1.Field)(1, TlvObjectCodec_1.UnsignedIntT),
        salt: (0, TlvObjectCodec_1.Field)(2, TlvObjectCodec_1.ByteStringT),
    })),
    mrpParameters: (0, TlvObjectCodec_1.OptionalField)(5, (0, TlvObjectCodec_1.ObjectT)({
        idleRetransTimeoutMs: (0, TlvObjectCodec_1.OptionalField)(1, TlvObjectCodec_1.UnsignedIntT),
        activeRetransTimeoutMs: (0, TlvObjectCodec_1.OptionalField)(2, TlvObjectCodec_1.UnsignedIntT),
    })),
});
exports.PasePake1T = (0, TlvObjectCodec_1.ObjectT)({
    x: (0, TlvObjectCodec_1.Field)(1, TlvObjectCodec_1.ByteStringT),
});
exports.PasePake2T = (0, TlvObjectCodec_1.ObjectT)({
    y: (0, TlvObjectCodec_1.Field)(1, TlvObjectCodec_1.ByteStringT),
    verifier: (0, TlvObjectCodec_1.Field)(2, TlvObjectCodec_1.ByteStringT),
});
exports.PasePake3T = (0, TlvObjectCodec_1.ObjectT)({
    verifier: (0, TlvObjectCodec_1.Field)(1, TlvObjectCodec_1.ByteStringT),
});
