import { UdpChannel, UdpChannelOptions } from "./UdpChannel";
export declare abstract class Network {
    static get: () => Network;
    abstract createUdpChannel(options: UdpChannelOptions): Promise<UdpChannel>;
    abstract getIpMacAddresses(): {
        ip: string;
        mac: string;
    }[];
    abstract getIpMacOnInterface(remoteAddress: string): {
        ip: string;
        mac: string;
    } | undefined;
}
