import { UdpChannelOptions, UdpChannel } from "../UdpChannel";
import { Network } from "../Network";
export declare class NetworkFake extends Network {
    private readonly ipMacs;
    constructor(ipMacs: {
        ip: string;
        mac: string;
    }[]);
    createUdpChannel(options: UdpChannelOptions): Promise<UdpChannel>;
    getIpMacAddresses(): {
        ip: string;
        mac: string;
    }[];
    getIpMacOnInterface(remoteAddress: string): {
        ip: string;
        mac: string;
    } | undefined;
}
